import Layout from "@/layout";

const HomeRoutes = {
  path: "/dataQuery",
  component: Layout,
  name: "dataQuery",
  redirect: "/dataQuery/flightQuery",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: "数据查询", elSvgIcon: "Fold" },
  children: [
    {
      path: "/dataQuery/flightQuery",
      name: "FlightQuery",
      meta: { title: "航班查询", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/dataQuery/flightQuery/index.vue"),
    },
    {
      path: "/dataQuery/waybillQuery",
      name: "WaybillQuery",
      meta: { title: "运单查询", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/dataQuery/waybillQuery/index.vue"),
    },
    {
      path: "/dataQuery/freightInquiry",
      name: "FreightInquiry",
      meta: { title: "货物查询", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/dataQuery/freightInquiry/index.vue"),
    },
  ],
};

export default [HomeRoutes];
