import Layout from "@/layout";

const HomeRoutes = {
  path: "/systemSettings",
  component: Layout,
  name: "systemSettings",
  redirect: "/systemSettings/securityPolicy",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: "系统配置", elSvgIcon: "Fold" },
  children: [
    {
      path: "/systemSettings/securityPolicy",
      name: "SecurityPolicy",
      meta: { title: "安全策略", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/securityPolicy/index.vue"),
    },
    {
      path: "/systemSettings/securityPolicyedit",
      name: "SecurityPolicyedit",
      hidden: true,
      meta: { title: "安全策略编辑", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/securityPolicy/securityPolicyedit.vue"),
    },
    {
      path: "/systemSettings/warningSet",
      name: "WarningSet",
      meta: { title: "预警告警策略", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/warningSet/index.vue"),
    },
    {
      path: "/systemSettings/warningEdit",
      name: "WarningEdit",
      hidden: true,
      meta: { title: "预警告警策略编辑", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/warningEdit/index.vue"),
    },
    {
      path: "/systemSettings/log",
      name: "log",
      meta: { title: "日志管理", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/log/index.vue"),
    },
    {
      path: "/systemSettings/serviceManagement",
      name: "ServiceManagement",
      meta: { title: "服务管理", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/serviceManagement/index.vue"),
    },
    {
      path: "/systemSettings/serviceMonitor",
      name: "ServiceMonitor",
      meta: { title: "服务监控", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/serviceManagement/serviceMonitor.vue"),
    },
    {
      path: "/systemSettings/serviceMonitorEdit",
      name: "ServiceMonitorEdit",
      hidden: true,
      meta: { title: "服务监控编辑", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import(
          "@/views/systemSettings/serviceManagement/serviceMonitorEdit.vue"
        ),
    },
    {
      path: "/systemSettings/queryTemplate",
      name: "QueryTemplate",
      meta: { title: "查询模板", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/queryTemplate/index.vue"),
    },
    {
      path: "/systemSettings/queryTemplateAdd",
      name: "QueryTemplateAdd",
      hidden: true,
      meta: { title: "新增查询模板", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/queryTemplate/queryTemplateAdd.vue"),
    },
    {
      path: "/systemSettings/queryTemplateEdit",
      name: "QueryTemplateEdit",
      hidden: true,
      meta: { title: "编辑查询模板", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/queryTemplate/queryTemplateEdit.vue"),
    },
    {
      path: "/systemSettings/queryTemplateColumn",
      name: "QueryTemplateColumn",
      hidden: true,
      meta: { title: "查询模板设置", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/queryTemplate/queryTemplateColumn.vue"),
    },
    // {
    //   path: "/systemSettings/sourceservice",
    //   name: "Sourceservice",
    //   meta: { title: "源数据管理", elSvgIcon: "Fold", icon: "table" },
    //   component: () => import("@/views/systemSettings/sourceservice/index.vue"),
    // },
    {
      path: "/systemSettings/sourceserviceEdit",
      name: "SourceserviceEdit",
      hidden: true,
      meta: { title: "编辑源数据管理", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/sourceserviceEdit/index.vue"),
    },
    {
      path: "/systemSettings/sourceTube",
      name: "SourceTube",
      meta: { title: "源数据管理", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/sourceTube/index.vue"),
    },
    {
      path: "/systemSettings/protocolManagement",
      name: "ProtocolManagement",
      meta: { title: "协议管理", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/protocolManagement/index.vue"),
    },
    {
      path: "/systemSettings/datastructure",
      name: "Datastructure",
      meta: { title: "数据结构管理", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/datastructure/index.vue"),
    },
    {
      path: "/systemSettings/datastructureTerm",
      name: "DatastructureTerm",
      hidden: true,
      meta: { title: "数据项", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/datastructure/datastructureTerm.vue"),
    },
    {
      path: "/systemSettings/messageTemplate",
      name: "MessageTemplate",
      meta: { title: "消息模板", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/messageTemplate/index.vue"),
    },
  ],
};

export default [HomeRoutes];
