import { Ref } from 'vue'
import type { TableInstance, Column } from 'element-plus'
import type { CSSProperties } from 'vue'

export type StationFormData = {
  startDate: string
  endDate: string
  flightStatus: string
  flightWarning: string
  waybillType: string
}
export type selectOptions = {
  label: string | number
  value: string | number | boolean | object
}[]
export type KeyType = string | number | symbol
export interface TableColumn<T = any> extends Column<T> {
  dataKey: KeyType
  title: string
}
export interface TableColumnInGroup<T = any> extends TableColumn<T> {
  groupTitle: string
}
export interface tableColumnGroup {
  title: string
  columns: TableColumnInGroup[]
}
export type CellSlotProps = {
  column: TableColumn | TableColumnInGroup
  columns: TableColumn[] | TableColumnInGroup[]
  columnIndex: number
  depth: number
  style: CSSProperties
  rowData: any
  rowIndex: number
  isScrolling: boolean
  expandIconProps?:
    | {
        rowData: any
        rowIndex: number
        onExpand: (expand: boolean) => void
      }
    | undefined
}
interface ExportOptions {
  table: TableInstance | Ref<TableInstance>
  sheetName?: string
  fileName?: string
  headerRowNumber?: number
}
export type ExportHandler = (option: ExportOptions) => void
